<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="copy.xsl"/>
	<xsl:import href="template-value.xsl"/>
	<xsl:import href="debug.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="*[not(*)]['NaN' != string(number(.))][string-length(substring-after(., '.')) > 6]">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:call-template name="fix-float">
				<xsl:with-param name="float-number" select="."/>
			</xsl:call-template>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
