<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="copy.xsl"/>
	<xsl:import href="template-value.xsl"/>
	<xsl:output method="xml"/>
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<xsl:template match="VTTDOP">
		<xsl:copy>
			<xsl:for-each select="VTTDOP_ITEM">
				<xsl:sort select="G33" data-type="text"/>
				<xsl:copy>
					<xsl:variable name="new-G32" select="position()"/>
					<G32>
						<xsl:value-of select="$new-G32"/>
					</G32>
					<G031>
						<xsl:call-template name="fix-float">
							<xsl:with-param name="float-number" select="ceiling(($new-G32 - 1) div 3) + 1"/>
						</xsl:call-template>
					</G031>
					<xsl:apply-templates select="node()[ not(self::G32 | self::G031) ]"/>
				</xsl:copy>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
